from cStringIO import StringIO
from Products.EEADesign2006.Extensions.utils import (
        setupSkins, registerStylesheets, registerScripts ) 
from Products.EEADesign2006.config import ( 
        GLOBALS, SKINSELECTIONS, SELECTSKIN, DEFAULTSKIN,
        ALLOWSELECTION, PERSISTENTCOOKIE, STYLESHEETS, JAVASCRIPTS )

def install(self):
    out = StringIO()

    setupSkins(self, out, GLOBALS, SKINSELECTIONS, SELECTSKIN, DEFAULTSKIN,
               ALLOWSELECTION, PERSISTENTCOOKIE)
    registerStylesheets(self, out, STYLESHEETS)
    registerScripts(self, out, JAVASCRIPTS)

    print >> out, "Installation completed."
    return out.getvalue()


def uninstall(self):
    out = StringIO()
    return out.getvalue()
